This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 830070 - Both goferd and pulp-cds services are enabled by default in CDS
Both goferd and pulp-cds services are enabled by default in CDS
Status: CLOSED NOTABUG
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: CDS (Show other bugs)
2.0.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James Slagle
mkovacik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 03:07 EDT by Satoru SATOH
Modified: 2012-06-18 23:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-18 23:55:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Satoru SATOH 2012-06-08 03:07:22 EDT
Description of problem:

Similar to rhbz#830068, both goferd and pulp-cds services are enabled by 
default but I think goferd can be disabled as pulp-cds starts it.

[root@cds-0 ~]# chkconfig --list | grep `runlevel | cut -d' ' -f 2`:on
atd             0:off   1:off   2:off   3:on    4:on    5:on    6:off
auditd          0:off   1:off   2:on    3:on    4:on    5:on    6:off
crond           0:off   1:off   2:on    3:on    4:on    5:on    6:off
goferd          0:off   1:off   2:off   3:on    4:on    5:on    6:off
haldaemon       0:off   1:off   2:off   3:on    4:on    5:on    6:off
messagebus      0:off   1:off   2:on    3:on    4:on    5:on    6:off
netfs           0:off   1:off   2:off   3:on    4:on    5:on    6:off
network         0:off   1:off   2:on    3:on    4:on    5:on    6:off
postfix         0:off   1:off   2:on    3:on    4:on    5:on    6:off
pulp-cds        0:off   1:off   2:on    3:on    4:on    5:on    6:off
rhnsd           0:off   1:off   2:on    3:on    4:on    5:on    6:off
rhsmcertd       0:off   1:off   2:off   3:on    4:on    5:on    6:off
rsyslog         0:off   1:off   2:on    3:on    4:on    5:on    6:off
sshd            0:off   1:off   2:on    3:on    4:on    5:on    6:off
sysstat         0:off   1:on    2:on    3:on    4:on    5:on    6:off
udev-post       0:off   1:on    2:on    3:on    4:on    5:on    6:off
[root@cds-0 ~]#


Version-Release number of selected component (if applicable):

[root@cds-0 ~]# rpm -q $(rpm -qf /etc/rc.d/init.d/{goferd,pulp-cds})
gofer-0.64-1.el6.noarch
pulp-cds-0.0.263-18.el6.noarch
[root@cds-0 ~]#
Comment 1 Satoru SATOH 2012-06-18 23:55:06 EDT
Excuse me, I missed the code in /etc/rc.d/init.d/goferd:


start() {
  if [ -e $PID ]; then
    pid=$(cat $PID)
  fi
  kill -0 $pid >/dev/null 2>&1
  RETVAL=$?
  if [ $RETVAL -eq "0" ]; then
    echo "$PROG ($pid) already running."
    return $RETVAL
  fi
  ...


It looks gofered checks if it has been started already.
So that it's not a problem both pulp-cds and goferd services
are enabled.

I closed this ticket. Sorry to bother you.

Note You need to log in before you can comment on or make changes to this bug.